Scriptname XaosBladeStormTeleportScript extends activemagiceffect  

GlobalVariable Property XaosOmnislashAnimationControllerVariable auto

;Event OnEffectStart(Actor akCaster, Actor akTarget)
;	RegisterForSingleUpdate(6.0)
;EndEvent

;Event OnUpdate();
;		Actor Victim = XaosOmniSlashEffect.GetTargetActor()
;			Debug.MessageBox("The target is" + Victim)

Event OnEffectStart(Actor akCaster, Actor akTarget)

	Float Angle = Utility.RandomInt(0, 360)
	Float XOffset = Math.Sin(Angle)*150
	Float YOffset = Math.Cos(Angle)*150	

	akTarget.MoveTo(akCaster, XOffset, YOffset)
	Float FacingAngle = akTarget.GetAngleZ()
	Float ChangingAngle = akTarget.GetHeadingAngle(akCaster)
	akTarget.SetAngle(0, 0, FacingAngle + ChangingAngle)


	Int WeaponDamage = Game.GetPlayer().GetEquippedWeapon().GetBaseDamage()
		Float OneHandedSkill = Game.GetPlayer().GetActorValue("OneHanded")
			Float Damage = (OnehandedSkill*4) + WeaponDamage
				akCaster.DamageActorValue("Health", OneHandedSkill)
		
		
		
		if XaosOmnislashAnimationControllerVariable.GetValue() == 0
			XaosOmnislashAnimationControllerVariable.SetValue(1)
			Debug.SendAnimationEvent(akTarget, "XaosOmniSlashLeftSlashEvent")
		elseif XaosOmnislashAnimationControllerVariable.GetValue() == 1
			XaosOmnislashAnimationControllerVariable.SetValue(2)
			Debug.SendAnimationEvent(akTarget, "XaosOmnislashRightSlashEvent")
		elseif XaosOmnislashAnimationControllerVariable.GetValue() == 2
			XaosOmnislashAnimationControllerVariable.SetValue(3)
			Debug.SendAnimationEvent(akTarget, "XaosOmniSlashLeftSlashEvent")
		elseif XaosOmnislashAnimationControllerVariable.GetValue() == 3
			XaosOmniSlashAnimationControllerVariable.SetValue(0)
			Debug.SendAnimationEvent(akTarget, "XaosOmniSlashUpSlashEvent")
	endIf

	Dispel() ; so it can get recast!
EndEvent
	


;Event OnEffectStart(Actor akCaster, Actor akTarget)
	;Int WeaponDamage = akCaster.GetEquippedWeapon().GetBaseDamage()
	;Float OneHandedSkill = akCaster.GetActorValue("OneHanded")
	;Float Damage = (OnehandedSkill*4) + WeaponDamage
;	Actor Victim.PublicActor = akTarget
;	Int XAxis = Utility.RandomInt(aiMin = -300, aiMax = 300)
;	Int YAxis = Utility.RandomInt(aiMin = -300, aiMax = 300)
;	PlayerREF.MoveTo(Victim, afXOffset = 0, afYOffset = -300)

;	float ZOffset = PlayerREF.GetHeadingAngle(Victim)
;	PlayerREF.SetAngle(90, PlayerREF.GetAngleY(), PlayerREF.GetAngleZ() + ZOffset)
		
;EndEvent
