Scriptname XaosControlsSpacebarScript extends ActiveMagicEffect  

GlobalVariable Property XaosControlsJumpJustPressed auto
Actor Property PlayerREF auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
	RegisterForKey(57) ; Spacebar
EndEvent

Event OnKeyDown(Int KeyCode)
	if KeyCode == 57 && XaosControlsJumpJustPressed.GetValue() == 0 ; this is important. After the Global goes back to zero, it means our speed has changed back. If we can jump again before this happens, we risk jump speed getting out of control.

	Float Angle = (PlayerREF.GetAngleX()*-1)

	Game.SetGameSettingFloat("fJumpHeightMin", PlayerREF.GetActorValue("SpeedMult")*(1+(Angle/100)) + 25 )

	Float SpeedDifference = PlayerREF.GetActorValue("SpeedMult")*(Angle/-100); if we're looking down, we'll be positive (and therefore faster!) and vice verse.

	PlayerREF.SetActorValue("SpeedMult", PlayerREF.GetActorValue("SpeedMult") + SpeedDifference)
		PlayerREF.SetActorValue("CarryWeight", 1+ Game.GetPlayer().GetActorValue("CarryWeight"))

	Input.TapKey(60); spacebar? I believe this is f2 or f1
	
	XaosControlsJumpJustPressed.SetValue(1)

	Utility.Wait(1+(Angle/145))
	
	;	PlayerREF.SetActorValue("SpeedMult", PlayerREF.GetActorValue("SpeedMult") - SpeedDifference)
		PlayerREF.SetActorValue("SpeedMult", 100)
		PlayerREF.SetActorValue("CarryWeight", -1 + Game.GetPlayer().GetActorValue("CarryWeight"))
	XaosControlsJumpJustPressed.SetValue(0)
	endif
	
	Game.SetGameSettingFloat("fJumpHeightMin", 0)
EndEvent


	;XaosMomentumJumpPower.SetNthEffectMagnitude(0, (Angle/100)*100*PlayerREF.GetActorValue("SpeedMult")*0.01)
	;XaosMomentumJumpPower.Cast(PlayerREF)
