Scriptname XaosControlsSwordAndShieldScript extends activemagiceffect  

Actor Property PlayerREF auto
Spell Property XaosShieldThrowSpell auto
GlobalVariable Property XaosControlsRightAttackJustPressed auto
GlobalVariable Property XaosRightNormalAndPowerJustPressed auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
	RegisterForAnimationEvent(PlayerREF, "HitFrame")
	RegisterForAnimationEvent(PlayerREF, "attackPowerStartInPlace")
	RegisterForAnimationEvent(PlayerREF, "bashStart")
	Debug.SendAnimationEvent(PlayerREF, "attackStart")
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string asEventName)
 	if (akSource == Game.GetPlayer()) && (asEventName == "HitFrame")
	Debug.MessageBox("First Attack Succeeded.")
	XaosControlsRightAttackJustPressed.SetValue(1)
	Utility.Wait(5)
	XaosControlsRightAttackJustPressed.SetValue(0)
	endif

	if (akSource == Game.GetPlayer()) && (asEventName == "HitFrame") && XaosControlsRightAttackJustPressed.GetValue() == 1
	XaosRightNormalAndPowerJustPressed.SetValue(1)
	Debug.MessageBox("Second Attack Succeeded, too.")
	Utility.Wait(5)
	XaosControlsRightAttackJustPressed.SetValue(0)
	endif

	if (akSource == Game.GetPlayer()) && (asEventName == "bashStart") && XaosRightNormalAndPowerJustPressed.GetValue() == 1
	Debug.MessageBox("All attacks succeeded...")
	XaosShieldThrowSpell.Cast(PlayerREF)
	endif
EndEvent