Scriptname XaosDiveRollMagicEffectScript extends activemagiceffect  

Actor Property PlayerREF auto
Idle Property XaosForwardDiveRollIdle auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
	
	Debug.SendAnimationEvent(PlayerREF, "SprintStart")								; To prevent the falling Anim from overriding DiveRoll Anim
	PlayerREF.SetGhost()															; Activate invuln
	PlayerREF.PlayIdle(XaosForwardDiveRollIdle)										; Play DiveRoll Animation
	Utility.Wait(0.5)																	; Wait for invuln duration
	PlayerREF.SetGhost(false)														; Then deactivate invuln
	Utility.Wait(0.5)																	; Then wait until the anim is done

	Debug.SendAnimationEvent(PlayerREF, "JumpLand")
	Debug.SendAnimationEvent(PlayerREF, "SprintStop")								; Then stop - to prevent certain glitches
EndEvent