Scriptname XaosEtherealPauseScript extends ActiveMagicEffect

GlobalVariable property XaosBecomeEtherealRemainingDurationCounter auto
Spell Property VoiceBecomeEthereal1 auto
Spell Property VoiceBecomeEthereal2 auto
Spell Property VoiceBecomeEthereal3 auto
Spell Property XaosBecomeEtherealPaused auto
Spell Property XaosBecomeEthereal auto
ActiveMagicEffect property VoiceMakeEthereal auto
Perk Property XaosEtherealBlinkPerk auto
Actor property PlayerREF auto


Event OnEffectStart(Actor akCaster, Actor akTarget)
RegisterForkey(43)
EndEvent

Event OnKeyDown(Int KeyCode)
	if KeyCode == 43
	Float  Duration = GetDuration()
	Float TimeElapsed = GetTimeElapsed()
	Float RemainingDuration = Duration - TimeElapsed
	XaosBecomeEtherealRemainingDurationCounter.SetValue(RemainingDuration)
	Int IntRemainingDuration = Math.Floor(RemainingDuration)
	XaosBecomeEthereal.SetNthEffectDuration(0, IntRemainingDuration)
	Dispel()
	utility.wait(0.1)
	XaosBecomeEtherealPaused.cast(PlayerREF)
endif
EndEvent

Event OnEffectFinish(Actor akCaster, Actor akTarget)
UnRegisterForKey(43)
EndEvent