Scriptname XaosWindwalkScriptFast extends activemagiceffect  

Spell Property XaosWindwalkSlowSpell auto
MagicEffect Property XaosWindwalkFastEffectFFSelf auto
Actor Property PlayerREF auto
Idle Property XaosWindwalkLeftIdle auto
Idle Property XaosWindwalkRightIdle auto
GlobalVariable Property WindwalkAnimControlVariable auto 

Event OnEffectStart(Actor akCaster, Actor akTarget)
	Actor Caster = akTarget
	Float Chooser = WindwalkAnimControlVariable.getvalue()

	if Chooser == 0.0000
	Caster.PlayIdle(XaosWindwalkLeftIdle)
	WindwalkAnimControlVariable.setValue(1)

	elseif Chooser == 1.0000
	Caster.PlayIdle(XaosWindwalkRightIdle)
	WindwalkAnimControlVariable.setValue(0)
	endif

	Float fPlayerCarryWeight = Game.GetPlayer().GetActorValue("CarryWeight")
	Utility.Wait(0.5)
	Game.GetPlayer().SetActorValue("CarryWeight", fPlayerCarryWeight +1)

EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
		XaosWindwalkSlowSpell.Cast (PlayerREF)	
EndEvent