Scriptname XaosControlsPerkScript extends ActiveMagicEffect

Actor Property PlayerREF auto
Spell Property XaosDiveRollSpell auto
Spell Property XaosControlsSpell auto
Spell Property XaosShieldThrowSpell auto
MagicEffect Property XaosForwardDiveRollMagicEffect auto
Idle Property JumpDirectionalStart auto
Idle Property JumpStandingStart auto
GlobalVariable Property XaosControlsJumpJustPressed auto
GlobalVariable Property XaosControlsRightAttackJustPressed auto
GlobalVariable Property XaosRightNormalAndPowerJustPressed auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
;	Debug.SendAnimationEvent(PlayerREF, "PowerAttackStop")
;	RegisterForAnimationEvent(PlayerREF, "JumpStandingStart")
;	RegisterForAnimationEvent(PlayerREF, "JumpDirectionalStart")
;	RegisterForKey(29) ; Left Ctrl
;	RegisterForKey(57) ; Spacebar
;	RegisterForKey(256) ; LMB
;	RegisterForKey(257) ; RMB
EndEvent

;29 means Left Control
;57 means SpaceBar
;59 means F1 means Sneak.
;60 means F2 means Jump


;Event OnKeyDown(Int KeyCode)
;	Float Stamina = Game.GetPlayer().GetActorValue("Stamina") 												 ; Needed later.
;
;	If KeyCode == 29
;	Input.TapKey(59)																						 ; Press F1 A.K.A. Sneak
;	EndIf
;	If KeyCode == 29 && XaosControlsJumpJustPressed.GetValue() == 1	&& Stamina >= 50					 ; If Space and Sneak are pressed one after the other and player is in possession of sufficient stamina....
;	Game.GetPlayer().DamageActorValue("Stamina", 50)														; You didn't think this was free, did you? 
;	XaosDiveRollSpell.Cast(PlayerREF) 																		; Then cast DiveRoll!
;	EndIf
;
;	If KeyCode == 57
;	Input.TapKey(60)
;	XaosControlsJumpJustPressed.SetValue(1)
;	Utility.Wait(0.5)
;	XaosControlsJumpJustPressed.SetValue(0)
;	EndIf
;
;	If KeyCode == 256 ; Left Click on Left click
;	Input.TapKey(61)
;	EndIf
;
;	If KeyCode == 257 ; Right Click on Left Click and set RightClickPressed variable.
;	Input.TapKey(62)
;	Debug.MessageBox("First One Good.")
;	XaosControlsRightAttackJustPressed.SetValue(1)
;	Utility.Wait(5)
;	XaosControlsRightAttackJustPressed.SetValue(0)
;	EndIf
;
;	If KeyCode == 257 && XaosControlsRightAttackJustPressed.GetValue() == 1 && Input.IsKeyPressed(257) ; Set second ShieldThrow combo variable.
;	Debug.MessageBox("Second One Good!")
;	XaosRightNormalAndPowerJustPressed.SetValue(1)
;	Utility.Wait(5)
;	XaosRightNormalAndPowerJustPressed.SetValue(0)
;	EndIf
;
;	If KeyCode == 257 && XaosRightNormalAndPowerJustPressed.GetValue() == 1  && Input.IsKeyPressed(256) && PlayerREF.GetEquippedItemType(0) == 10; if First two variables are correct and Player is holding LMB when pressing RMB with a shield (BASHING), combo should execute.
;	Debug.MessageBox("Success...?")
;	XaosShieldThrowSpell.Cast(PlayerREF)
;	EndIf

;EndEvent

;Event OnKeyRelease(Int KeyCode)
;	If KeyCode == 256
;	Input.ReleaseKey(256)
;	EndIf
;
;	If KeyCode == 257
;	Input.ReleaseKey(257)
;	EndIf
;EndEvent



Event OnEffectFinish(Actor akTarget, Actor akCaster)
	utility.Wait(0.1)
	XaosControlsSpell.Cast(PlayerREF)
EndEvent