Scriptname XaosDiveRollPerkScript extends activemagiceffect  

Actor Property PlayerREF auto
Spell Property XaosDiveRollSpell auto
Idle Property XaosForwardDiveRollIdle auto
GlobalVariable Property XaosControlsJumpJustPressed auto

Event OnEffectStart(Actor akCaster, Actor akTarget)
	RegisterForKey(29)
EndEvent

Event OnKeyDown(Int KeyCode)
Float Stamina = Game.GetPlayer().GetActorValue("Stamina") 												 ; Needed later.

	If KeyCode == 29 && XaosControlsJumpJustPressed.GetValue() == 1 && Game.GetPlayer().GetActorValue("Stamina") >= 35
	;debug.messagebox("working")
	Game.GetPlayer().DamageActorValue("Stamina", 35)
	
	Debug.SendAnimationEvent(PlayerREF, "SprintStart")								; To prevent the falling Anim from overriding DiveRoll Anim
	PlayerREF.SetGhost()															; Activate invuln
	PlayerREF.PlayIdle(XaosForwardDiveRollIdle)										; Play DiveRoll Animation
	Utility.Wait(0.5)																	; Wait for invuln duration
	PlayerREF.SetGhost(false)														; Then deactivate invuln
	Utility.Wait(0.5)																	; Then wait until the anim is done

	Debug.SendAnimationEvent(PlayerREF, "JumpLand")
	Debug.SendAnimationEvent(PlayerREF, "SprintStop")								; Then stop - to prevent certain glitches

	endif
EndEvent