Scriptname XaosEtherealPausedEffectScript extends activemagiceffect  

Actor property PlayerREF auto
MagicEffect property VoiceMakeEthereal auto
MagicEffect property XaosEtherealPausedEffect auto
Spell Property VoiceBecomeEthereal1 auto
Spell Property XaosBecomeEthereal auto
Shout Property BecomeEtherealShout auto
GlobalVariable property XaosBecomeEtherealRemainingDurationCounter auto


Event OnEffectStart(Actor akTarget, Actor akCaster)
	RegisterForAnimationEvent(akCaster, "HitFrame")
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string asEventName)
	if (akSource == Game.GetPlayer()) && (asEventName == "HitFrame")
	dispel()
	endif
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	XaosBecomeEthereal.cast(PlayerREF)
EndEvent