Scriptname XaosWindwalkScriptMain extends activemagiceffect  

Spell Property XaosWindwalkFastSpell auto
Spell Property XaosWindwalkSlowSpell auto
MagicEffect Property XaosWindwalkInitEffect auto
MagicEffect Property XaosWindwalkFastEffectFFSelf auto
MagicEffect Property XaosWindwalkSlowEffect auto
Idle Property IdleForceDefaultState auto
Actor Property PlayerREF auto

Event OnEffectStart(Actor akCastor, Actor akTarget)
		RegisterForKey(14)
		Actor Caster = akTarget
		RegisterForAnimationEvent(akTarget, "tailSprint")
		RegisterForUpdate(1)
EndEvent

Event OnAnimationEvent(ObjectReference akSource, string tailSprint)

	if (Game.GetPlayer().HasMagicEffect(XaosWindwalkFastEffectFFSelf)) ;don't do anything if you already have it
	elseif (Game.GetPlayer().HasMagicEffect(XaosWindwalkSlowEffect))
	elseif XaosWindwalkFastSpell.Cast (PlayerREF) ; otherwise apply fast when you sprint.
	endif

	RegisterForAnimationEvent(PlayerRef, "tailSprint")
EndEvent

Event OnEffectEnd()
	Debug.SendAnimationEvent(PlayerREF, "IdleForceDefaultState")
EndEvent

Event OnKeyDown(Int KeyCode)
	if KeyCode == 14
Game.GetPlayer().PushActorAway(PlayerREF, 0.0)
PlayerREF.ApplyHavokImpulse(0.0, 0.0, 5.0, 15000.0)
endif
EndEvent